Bug 11580 - vfs_shadow_copy2: snapshot files outside the share's root considered as wide links
vfs_shadow_copy2: snapshot files outside the share's root considered as wide ...
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2015-10-29 22:30 UTC by Uri Simchoni
Modified: 2016-01-18 08:25 UTC (History)
2 users (show)

See Also:

git-am fix for 4.3.next (21.47 KB, patch)
2016-01-13 19:20 UTC, Uri Simchoni
obnox: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2015-10-29 22:30:10 UTC
When the snapshot files for a share are located outside the share's root dir, the previous version files cannot be accessed.

For example, suppose we have:
- a volume mounted at /myvol
- a share myshare at /myvol/myshare
- volume snapshots mounted at /mysnaps/@GMT-xxxx

Then the smb.conf for shadow_copy2 needs to be:

path = /myvol/myshare
vfs objects = shadow_copy2
shadow:mountpoint = /myvol
shadow:snapdir = /mysnaps

In that case the snapshot files cannot be accessed via the previous versions interface, because they are regarded as wide links.

It can be verified without actual snapshots by creating a suitable directory structure.
Comment 1 Uri Simchoni 2016-01-13 19:20:56 UTC
Created attachment 11771 [details]
git-am fix for 4.3.next
Comment 2 Michael Adam 2016-01-13 23:16:34 UTC
Karo, please pick for 4.3.next
Comment 3 Karolin Seeger 2016-01-14 09:11:48 UTC
(In reply to Michael Adam from comment #2)
Pushed to autobuild-v4-3-test.
Comment 4 Karolin Seeger 2016-01-18 08:25:57 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-3-test.
Closing out bug report.